smtp-mail-0.1.4.6: Simple email sending via SMTP

Safe Haskell | None
Language | Haskell98

Network.Mail.SMTP.Auth

# Documentation

type UserName = String Source #

type Password = String Source #

data AuthType Source #

Constructors

PLAIN |
LOGIN |
CRAM_MD5 |

Instances

Eq AuthType Source # |
Methods (==) :: AuthType -> AuthType -> Bool # (/=) :: AuthType -> AuthType -> Bool #
Show AuthType Source # |
Methods showsPrec :: Int -> AuthType -> ShowS # show :: AuthType -> String # showList :: [AuthType] -> ShowS #

encodeLogin :: UserName -> Password -> (ByteString, ByteString) Source #

auth :: AuthType -> String -> UserName -> Password -> ByteString Source #